Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class RoleWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.RoleWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class RoleWrapper

extends BaseDTO

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`RoleWrapper()`

Method Summary
`Role` | `getRole()`
`java.lang.Object` | `getSelectedUsersInRole()`
`java.lang.Object` | `getSelectedUsersNotInRole()`
`java.util.List` | `getUsersInRole()`
`java.util.List` | `getUsersNotInRole()`
`void` | `setRole(Role role)`
`void` | `setSelectedUsersInRole(java.lang.Object selectedUsersInRole)`
`void` | `setSelectedUsersNotInRole(java.lang.Object selectedUsersNotInRole)`
`void` | `setUsersInRole(java.util.List usersInRole)`
`void` | `setUsersNotInRole(java.util.List usersNotInRole)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleWrapper

    public RoleWrapper()

Method Detail

### getRole

    public Role getRole()

### setRole

    public void setRole(Role role)

### getUsersNotInRole

    public java.util.List getUsersNotInRole()

### setUsersNotInRole

    public void setUsersNotInRole(java.util.List usersNotInRole)

### getUsersInRole

    public java.util.List getUsersInRole()

### setUsersInRole

    public void setUsersInRole(java.util.List usersInRole)

### getSelectedUsersInRole

    public java.lang.Object getSelectedUsersInRole()

### setSelectedUsersInRole

    public void setSelectedUsersInRole(java.lang.Object selectedUsersInRole)

### getSelectedUsersNotInRole

    public java.lang.Object getSelectedUsersNotInRole()

### setSelectedUsersNotInRole

    public void setSelectedUsersNotInRole(java.lang.Object selectedUsersNotInRole)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.